# class SrvRecord | A SRV record. More...
Full name | `TelEngine::SrvRecord`
Definition | `#include <yateclass.h>`
Inherits | TelEngine::DnsRecord [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- inline SrvRecord (int ttl, int prio, int weight, const char* addr, int port)
- inline const String& address () const
- inline int port () const
- virtual void dump (String& buf, const char* sep = " ")

#### Public Static Methods

- static void copy (ObjList& dest, const ObjList& src)

#### Protected Members

- String m_address
- int m_port

## Detailed Description

This class holds a SRV (Service Location) record

inline SrvRecord (int ttl, int prio, int weight, const char* addr, int port) | ### SrvRecord

Build a SRV record

Parameters:

ttl | Record Time To Live
prio | Record priority (order)
weight | Record weight (preference)
addr | Record address
port | Record port

inline const String& address () | ### address

[const]

Retrieve the record address

Returns: Record address

inline int port () | ### port

[const]

Retrieve the record port

Returns: Record port

void dump (String& buf, const char* sep = " ") | ### dump

[virtual]

Dump this record for debug purposes

Parameters:

buf | Destination buffer
sep | Fields separator

Reimplemented from DnsRecord.

void copy (ObjList& dest, const ObjList& src) | ### copy

[static]

Copy a SrvRecord list into another one

Parameters:

dest | Destination list
src | Source list

String m_address | ### m_address

[protected]

int m_port | ### m_port

[protected]

Generated by: paulc on bussard on Fri May 8 12:37:22 2015, using kdoc 2.0a54.